Fetch the next batch from the specified file
Will return the next batch of items from the file, if no more: empty response. WARNING: Type "full" is deprecated. Use "input" instead.
Path Parameters
type*string
Match
^full|input|new|modified|unchanged|deleted$Query Parameters
size?integer
Size of the batch (should be 0 < size < 1000), default 1
show-hidden?boolean
Show or hide columns with double underscore in name. Hidden by default
classification-id?integer
Classification ID for CSA export-delta
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://loading/input/string/next_batch"{
"message": "",
"data": [
{
"id": "1",
"name": "first product",
"column_uniqueness_1": "ValueA",
"column_uniqueness_2": "ValueA",
"___some_column": "value",
"___skipped_export": "",
"sort+/flag": "1",
"+column": "test",
"/column": "test"
}
]
}{
"message": "Bad request.",
"errors": {
"size": "This value does not have valid integer."
}
}{
"message": "Requested file not provided."
}{
"message": "Invalid file."
}How is this guide?
Fetch the next item from the specified file GET
Will return the next item from the file, if no more: no-content response. WARNING: Type "full" is deprecated. Use "input" instead.
Stream from input. GET
Will stream items from the input, if no more: empty response. WARNING: Type "full" is deprecated. Use "input" instead.